[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponentClass

Class of TComponent

## Declaration

Source position: classesh.inc line 1094

`type TComponentClass = class of TComponent;`

## Description

The TComponentClass type is used when constructing TComponent descendent instances and when registering components.

## See also

TComponent |  | Base class for all components that need owner-owned functionality.

Documentation generated on: Feb 26 2014